### Function

# GdkPixbuf PixbufModuleIncrementLoadFunc

#### Declaration

    gboolean
    (* GdkPixbufModuleIncrementLoadFunc) (
      gpointer context,
      const guchar* buf,
      guint size,
      GError** error
    )

#### Description [src]

Incrementally loads a buffer into the image data.

#### Parameters

`context`

  Type: `gpointer`

  The state object created by `GdkPixbufModuleBeginLoadFunc`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`buf`

  Type: An array of `guint8`

  The data to load.

  The length of the array is specified in the `size` argument.
  The data is owned by the caller of the function.

`size`

  Type: `guint`

  The length of the data to load.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the incremental load was successful.